# GNUmakefile          Section: 3.8
# Threshold Selection Using a Simple Image Statistic
#      Copyright 1994, Center for Computer Vision and Visualization,
#      University of Florida.  All rights reserved.
#
# See comments in  gnumake.iah for description of symbols.

#######################################################################
# Modify the following symbols to control compilation
#######################################################################

BLASTABLE_PTFILES = IA_
CLOSUREOBJS       = closure-sis.o

HEADERS = sis.h
LOBJS   = sis_Specials.o

SOURCES	= sis.h sis.c  test-sis.c  sis_Specials.c closure-sis.c
TESTS	= test-sis

ARL =
EXTRAINCLUDES =
CPPFLAGS =

OUTPUT_OPTION =
TARGET_ARCH   =
XTRAFLAGS     =
XTRACCFLAGS   =

# Make this nothing if you do not want programs stripped.
STRIPPROGRAMS = anystring-means-strip--no-string-means-do-not-strip

#######################################################################
include	../../gnumake.iah
#######################################################################

#######################################################################
#####	User program dependencies and rules follow
#######################################################################

sis.srcs:	sis.h  sis.c

sis_Specials.o:	sis_Specials.c  sis.srcs

closure-sis.o:	closure-sis.c  sis.srcs

ifeq (${LIBTEST},)
test-sis.o:	test-sis.c  sis_Specials.o

test-sis:	test-sis.o
	${LINK.cc} -o $@ $@.o sis_Specials.o ${LDLIBS}
	strip $@

else
test-sis.o:	test-sis.c

endif
